Query for SCIM groups
1 min
GET
https://identity-api.optimizely.com/api/scim/v2/groups
Query Parameters
- filterstringDescription
- attributesstringDescription
- excludeAttributesstringDescription
- startIndexstringDescription
- countstringDescription
Responses
200
- queryResponseBase_core2Group
- itemsPerPageinteger<int32>Formatint32
- resourcescore2Group[]
- customExtensionmap<string, iDictionary_object>
- metacore2Metadata
- resourceTypestring
- createdstring<date-time>Formatdate-time
- lastModifiedstring<date-time>Formatdate-time
- versionstring
- locationstring
- displayNamestring
- membersmember[]
- displaystring
- typestring
- valuestring
- externalIdstring
- idstring
- schemasstring[]
- startIndexinteger<int32>Formatint32
- totalResultsinteger<int32>Formatint32
- schemasstring[]
400
- core2Error
- scimTypestring
- detailstring
- statusinteger<int32>Formatint32
- schemasstring[]
401
500
curl
curl --request GET \
--url https://identity-api.optimizely.com/api/scim/v2/groups \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://identity-api.optimizely.com/api/scim/v2/groups", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://identity-api.optimizely.com/api/scim/v2/groups")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://identity-api.optimizely.com/api/scim/v2/groups"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Query response of groups matching criteria.
{
"itemsPerPage": "",
"resources": [
{
"customExtension": "",
"meta": {
"resourceType": "",
"created": "",
"lastModified": "",
"version": "",
"location": ""
},
"displayName": "",
"members": [
{
"display": "",
"type": "",
"value": ""
}
],
"externalId": "",
"id": "",
"schemas": [
""
]
}
],
"startIndex": "",
"totalResults": "",
"schemas": [
""
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
{
"scimType": "",
"detail": "",
"status": "",
"schemas": [
""
]
}401
// Unauthorized access to endpoint.
500
// A server error occurred, please try again.